Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225554 - the hostname cmd does not understand the -n or --node option
Summary: the hostname cmd does not understand the -n or --node option
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-tools
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 10:40 UTC by Joachim Backes
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: net-tools-1.60-80
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-15 13:02:37 UTC


Attachments (Terms of Use)

Description Joachim Backes 2007-01-31 10:40:06 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Following "man hostname" output and entering "hostname -n" prints an error
message as result. It seems that the hostname cmd has no such option, and these
options are not explained in detail in he hostname man page.

How reproducible:
Each time

Steps to Reproduce:
1.hostname -n
2.
3.
  
Actual results:
 hostname -n
Usage: hostname [-v] {hostname|-F file}      set hostname (from file)
       domainname [-v] {nisdomain|-F file}   set NIS domainname (from file)
       hostname [-v] [-d|-f|-s|-a|-i|-y|-n]  display formatted name
       hostname [-v]                         display hostname

       hostname -V|--version|-h|--help       print info and exit

    dnsdomainname=hostname -d, {yp,nis,}domainname=hostname -y

    -s, --short           short host name
    -a, --alias           alias names
    -i, --ip-address      addresses for the hostname
    -f, --fqdn, --long    long host name (FQDN)
    -d, --domain          DNS domain name
    -y, --yp, --nis       NIS/YP domainname
    -F, --file            read hostname or NIS domainname from given file

   This command can read or set the hostname or the NIS domainname. You can
   also read the DNS domain or the FQDN (fully qualified domain name).
   Unless you are using bind or NIS for host lookups you can change the
   FQDN (Fully Qualified Domain Name) and the DNS domain name (which is
   part of the FQDN) in the /etc/hosts file.


Expected results:
correct output

Additional info:

Comment 1 Jan Cholasta 2007-01-31 15:06:54 UTC
The --node switch is useful for machines in DECnet networks, but I believe there
is no support for DECnet in FC.

Comment 2 Joachim Backes 2007-02-01 07:55:46 UTC
Then you should it remove from the man page (otherwise it produces confusion).


Note You need to log in before you can comment on or make changes to this bug.